Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/7
Addresses2^121
/64 networks2^57
Network
2600::/7
First address
2600::
Last address
27ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
/64 networks (LANs)
144,115,188,075,855,872 (2^57)
Full form
2600:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zones
6.2.ip6.arpa
7.2.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets/16

2600::/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetLast address
12600::/162600:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22601::/162601:ffff:ffff:ffff:ffff:ffff:ffff:ffff
32602::/162602:ffff:ffff:ffff:ffff:ffff:ffff:ffff
42603::/162603:ffff:ffff:ffff:ffff:ffff:ffff:ffff
52604::/162604:ffff:ffff:ffff:ffff:ffff:ffff:ffff
62605::/162605:ffff:ffff:ffff:ffff:ffff:ffff:ffff
72606::/162606:ffff:ffff:ffff:ffff:ffff:ffff:ffff
82607::/162607:ffff:ffff:ffff:ffff:ffff:ffff:ffff
92608::/162608:ffff:ffff:ffff:ffff:ffff:ffff:ffff
102609::/162609:ffff:ffff:ffff:ffff:ffff:ffff:ffff
11260a::/16260a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
12260b::/16260b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
13260c::/16260c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
14260d::/16260d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
15260e::/16260e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16260f::/16260f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
172610::/162610:ffff:ffff:ffff:ffff:ffff:ffff:ffff
182611::/162611:ffff:ffff:ffff:ffff:ffff:ffff:ffff
192612::/162612:ffff:ffff:ffff:ffff:ffff:ffff:ffff
202613::/162613:ffff:ffff:ffff:ffff:ffff:ffff:ffff
212614::/162614:ffff:ffff:ffff:ffff:ffff:ffff:ffff
222615::/162615:ffff:ffff:ffff:ffff:ffff:ffff:ffff
232616::/162616:ffff:ffff:ffff:ffff:ffff:ffff:ffff
242617::/162617:ffff:ffff:ffff:ffff:ffff:ffff:ffff
252618::/162618:ffff:ffff:ffff:ffff:ffff:ffff:ffff
262619::/162619:ffff:ffff:ffff:ffff:ffff:ffff:ffff
27261a::/16261a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
28261b::/16261b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
29261c::/16261c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
30261d::/16261d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
31261e::/16261e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
32261f::/16261f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
332620::/162620:ffff:ffff:ffff:ffff:ffff:ffff:ffff
342621::/162621:ffff:ffff:ffff:ffff:ffff:ffff:ffff
352622::/162622:ffff:ffff:ffff:ffff:ffff:ffff:ffff
362623::/162623:ffff:ffff:ffff:ffff:ffff:ffff:ffff
372624::/162624:ffff:ffff:ffff:ffff:ffff:ffff:ffff
382625::/162625:ffff:ffff:ffff:ffff:ffff:ffff:ffff
392626::/162626:ffff:ffff:ffff:ffff:ffff:ffff:ffff
402627::/162627:ffff:ffff:ffff:ffff:ffff:ffff:ffff
412628::/162628:ffff:ffff:ffff:ffff:ffff:ffff:ffff
422629::/162629:ffff:ffff:ffff:ffff:ffff:ffff:ffff
43262a::/16262a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
44262b::/16262b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
45262c::/16262c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
46262d::/16262d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
47262e::/16262e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
48262f::/16262f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
492630::/162630:ffff:ffff:ffff:ffff:ffff:ffff:ffff
502631::/162631:ffff:ffff:ffff:ffff:ffff:ffff:ffff
512632::/162632:ffff:ffff:ffff:ffff:ffff:ffff:ffff
522633::/162633:ffff:ffff:ffff:ffff:ffff:ffff:ffff
532634::/162634:ffff:ffff:ffff:ffff:ffff:ffff:ffff
542635::/162635:ffff:ffff:ffff:ffff:ffff:ffff:ffff
552636::/162636:ffff:ffff:ffff:ffff:ffff:ffff:ffff
562637::/162637:ffff:ffff:ffff:ffff:ffff:ffff:ffff
572638::/162638:ffff:ffff:ffff:ffff:ffff:ffff:ffff
582639::/162639:ffff:ffff:ffff:ffff:ffff:ffff:ffff
59263a::/16263a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
60263b::/16263b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
61263c::/16263c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
62263d::/16263d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
63263e::/16263e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
64263f::/16263f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
652640::/162640:ffff:ffff:ffff:ffff:ffff:ffff:ffff
662641::/162641:ffff:ffff:ffff:ffff:ffff:ffff:ffff
672642::/162642:ffff:ffff:ffff:ffff:ffff:ffff:ffff
682643::/162643:ffff:ffff:ffff:ffff:ffff:ffff:ffff
692644::/162644:ffff:ffff:ffff:ffff:ffff:ffff:ffff
702645::/162645:ffff:ffff:ffff:ffff:ffff:ffff:ffff
712646::/162646:ffff:ffff:ffff:ffff:ffff:ffff:ffff
722647::/162647:ffff:ffff:ffff:ffff:ffff:ffff:ffff
732648::/162648:ffff:ffff:ffff:ffff:ffff:ffff:ffff
742649::/162649:ffff:ffff:ffff:ffff:ffff:ffff:ffff
75264a::/16264a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
76264b::/16264b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
77264c::/16264c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
78264d::/16264d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
79264e::/16264e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
80264f::/16264f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
812650::/162650:ffff:ffff:ffff:ffff:ffff:ffff:ffff
822651::/162651:ffff:ffff:ffff:ffff:ffff:ffff:ffff
832652::/162652:ffff:ffff:ffff:ffff:ffff:ffff:ffff
842653::/162653:ffff:ffff:ffff:ffff:ffff:ffff:ffff
852654::/162654:ffff:ffff:ffff:ffff:ffff:ffff:ffff
862655::/162655:ffff:ffff:ffff:ffff:ffff:ffff:ffff
872656::/162656:ffff:ffff:ffff:ffff:ffff:ffff:ffff
882657::/162657:ffff:ffff:ffff:ffff:ffff:ffff:ffff
892658::/162658:ffff:ffff:ffff:ffff:ffff:ffff:ffff
902659::/162659:ffff:ffff:ffff:ffff:ffff:ffff:ffff
91265a::/16265a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
92265b::/16265b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
93265c::/16265c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
94265d::/16265d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
95265e::/16265e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
96265f::/16265f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
972660::/162660:ffff:ffff:ffff:ffff:ffff:ffff:ffff
982661::/162661:ffff:ffff:ffff:ffff:ffff:ffff:ffff
992662::/162662:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1002663::/162663:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1012664::/162664:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1022665::/162665:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1032666::/162666:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1042667::/162667:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1052668::/162668:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1062669::/162669:ffff:ffff:ffff:ffff:ffff:ffff:ffff
107266a::/16266a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
108266b::/16266b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
109266c::/16266c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
110266d::/16266d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
111266e::/16266e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
112266f::/16266f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1132670::/162670:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1142671::/162671:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1152672::/162672:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1162673::/162673:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1172674::/162674:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1182675::/162675:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1192676::/162676:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1202677::/162677:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1212678::/162678:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1222679::/162679:ffff:ffff:ffff:ffff:ffff:ffff:ffff
123267a::/16267a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
124267b::/16267b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
125267c::/16267c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
126267d::/16267d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
127267e::/16267e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
128267f::/16267f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1292680::/162680:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1302681::/162681:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1312682::/162682:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1322683::/162683:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1332684::/162684:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1342685::/162685:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1352686::/162686:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1362687::/162687:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1372688::/162688:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1382689::/162689:ffff:ffff:ffff:ffff:ffff:ffff:ffff
139268a::/16268a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
140268b::/16268b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
141268c::/16268c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
142268d::/16268d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
143268e::/16268e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
144268f::/16268f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1452690::/162690:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1462691::/162691:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1472692::/162692:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1482693::/162693:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1492694::/162694:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1502695::/162695:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1512696::/162696:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1522697::/162697:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1532698::/162698:ffff:ffff:ffff:ffff:ffff:ffff:ffff
1542699::/162699:ffff:ffff:ffff:ffff:ffff:ffff:ffff
155269a::/16269a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
156269b::/16269b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
157269c::/16269c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
158269d::/16269d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
159269e::/16269e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
160269f::/16269f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16126a0::/1626a0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16226a1::/1626a1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16326a2::/1626a2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16426a3::/1626a3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16526a4::/1626a4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16626a5::/1626a5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16726a6::/1626a6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16826a7::/1626a7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
16926a8::/1626a8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17026a9::/1626a9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17126aa::/1626aa:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17226ab::/1626ab:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17326ac::/1626ac:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17426ad::/1626ad:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17526ae::/1626ae:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17626af::/1626af:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17726b0::/1626b0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17826b1::/1626b1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17926b2::/1626b2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18026b3::/1626b3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18126b4::/1626b4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18226b5::/1626b5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18326b6::/1626b6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18426b7::/1626b7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18526b8::/1626b8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18626b9::/1626b9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18726ba::/1626ba:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18826bb::/1626bb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
18926bc::/1626bc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19026bd::/1626bd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19126be::/1626be:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19226bf::/1626bf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19326c0::/1626c0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19426c1::/1626c1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19526c2::/1626c2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19626c3::/1626c3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19726c4::/1626c4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19826c5::/1626c5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
19926c6::/1626c6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20026c7::/1626c7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20126c8::/1626c8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20226c9::/1626c9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20326ca::/1626ca:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20426cb::/1626cb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20526cc::/1626cc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20626cd::/1626cd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20726ce::/1626ce:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20826cf::/1626cf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
20926d0::/1626d0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21026d1::/1626d1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21126d2::/1626d2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21226d3::/1626d3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21326d4::/1626d4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21426d5::/1626d5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21526d6::/1626d6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21626d7::/1626d7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21726d8::/1626d8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21826d9::/1626d9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
21926da::/1626da:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22026db::/1626db:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22126dc::/1626dc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22226dd::/1626dd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22326de::/1626de:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22426df::/1626df:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22526e0::/1626e0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22626e1::/1626e1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22726e2::/1626e2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22826e3::/1626e3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
22926e4::/1626e4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23026e5::/1626e5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23126e6::/1626e6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23226e7::/1626e7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23326e8::/1626e8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23426e9::/1626e9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23526ea::/1626ea:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23626eb::/1626eb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23726ec::/1626ec:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23826ed::/1626ed:ffff:ffff:ffff:ffff:ffff:ffff:ffff
23926ee::/1626ee:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24026ef::/1626ef:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24126f0::/1626f0:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24226f1::/1626f1:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24326f2::/1626f2:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24426f3::/1626f3:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24526f4::/1626f4:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24626f5::/1626f5:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24726f6::/1626f6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24826f7::/1626f7:ffff:ffff:ffff:ffff:ffff:ffff:ffff
24926f8::/1626f8:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25026f9::/1626f9:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25126fa::/1626fa:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25226fb::/1626fb:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25326fc::/1626fc:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25426fd::/1626fd:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25526fe::/1626fe:ffff:ffff:ffff:ffff:ffff:ffff:ffff
25626ff::/1626ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses